<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Elegant\Sanitizer\Laravel\SanitizesInput;

class UpdateCustomerRequest extends FormRequest
{
    use SanitizesInput;
    
    // public function filters()
    // {
    //     return [
    //         'fname' => 'trim|strip_tags',
    //         'lname' => 'trim|strip_tags',
    //         'email' => 'trim|strip_tags',
    //         'password' => 'trim|strip_tags',
    //     ];
    // }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return 
        [
            'location_id' => 'nullable|integer',
            'transactions_password' => 'nullable|string',
            'opening_balance' => 'nullable|string',
            'debit_card' => 'nullable|string',
            'report_password' => 'nullable|string',
            'date' => 'nullable|string',
            'name_of_organisation' => 'nullable|string',
            'commerical_registration_number' => 'nullable|string',
            'contact_person_name' => 'nullable|string',
            'office_phone' => 'nullable|string',
            'mobile' => 'nullable|string',
            'whatsapp' => 'nullable|string',
            'email' => 'nullable|email|unique:customers,email,'.$this->customer->id,
            'country_id' => 'nullable|integer',
            'city' => 'nullable|string',
            'address' => 'nullable|string',
            'class_of_account_id' => 'nullable|integer',
            'vat_number' => 'nullable|string',
            'trn_number' => 'nullable|string',
            'tin_number' => 'nullable|string',
            'doc_name_1' => 'nullable|string',
            'doc_file_1' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_1' => 'nullable|string',
            'doc_name_2' => 'nullable|string',
            'doc_file_2' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_2' => 'nullable|string',
            'doc_name_3' => 'nullable|string',
            'doc_file_3' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_3' => 'nullable|string',
            'doc_name_4' => 'nullable|string',
            'doc_file_4' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_4' => 'nullable|string',
            'doc_name_5' => 'nullable|string',
            'doc_file_5' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_5' => 'nullable|string',
            'doc_name_6' => 'nullable|string',
            'doc_file_6' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_6' => 'nullable|string',
            'doc_name_7' => 'nullable|string',
            'doc_file_7' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_7' => 'nullable|string',
            'authorised_sign_1_name' => 'nullable|string',
            'authorised_sign_1_civil_id' => 'nullable|string',
            'authorised_sign_1_expiry_date' => 'nullable|date',
            'authorised_sign_1_sign_sample' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'authorised_sign_1_phone' => 'nullable|string',
            'authorised_sign_2_name' => 'nullable|string',
            'authorised_sign_2_civil_id' => 'nullable|string',
            'authorised_sign_2_expiry_date' => 'nullable|date',
            'authorised_sign_2_sign_sample' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'authorised_sign_2_phone' => 'nullable|string',
            'authorised_sign_3_name' => 'nullable|string',
            'authorised_sign_3_civil_id' => 'nullable|string',
            'authorised_sign_3_expiry_date' => 'nullable|date',
            'authorised_sign_3_sign_sample' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'authorised_sign_3_phone' => 'nullable|string',
            'description' => 'nullable|string',
        ];
        
    }
}
