@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Purchase Order</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('crusher.purchase_orders.create') }}">
                                <button class="btn btn-cust1 float-right" type="submit">Add
                                    Purchase Order</button>
                            </a>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Purchase Order Number</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse ($purchaseOrders as $po)
                                    {{-- @dd($po)     --}}
                                    <tr>
                                        <td>{{ $po->date }}</td>
                                        <td>{{ $po->invoice_no }}</td>
                                        <td>
                                            <a
                                                href="{{ route('crusher.purchase_orders.show', ['purchase_order' => $po->id]) }}">
                                                <i class="far fa-eye cust-icon2"></i></a>
                                            @if (!$po->trashed())
                                                <a
                                                    href="{{ route('crusher.purchase_orders.edit', ['purchase_order' => $po->id]) }}">
                                                    <i class="far fa-edit cust-icon2"></i></a>

                                                <form
                                                    action="{{ route('crusher.purchase_orders.delete', ['purchase_order' => $po->id]) }}"
                                                    method="POST" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                        class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                                <a href="{{ route('crusher.purchase_invoices.create', ['po_no' => $po->invoice_no]) }}"
                                                    class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create
                                                        Purchase Sale Invoice</button>
                                                </a>
                                            @else
                                                <span class="text-danger">Deleted</span>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
@endsection
