@extends('layouts.master_user')
@section('page-title')
Reminders
@endsection
@section('css')
@endsection
@section('others')
active
@endsection
@section('remainders')
active
@endsection
@section('content')


<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="row wrapper white-bg page-heading">
        <div class="col-md-12">
            <a href="/others/remainders/create" class="btn btn-primary pull-right"><i class="fa fa-plus" aria-hidden="true"></i> Create Reminder</a>
        </div>
        @if(count($remainders) != 0)
        <div class="col-md-12">
            <div class="card strpied-tabled-with-hover" style="padding-top: 20px;">
                <div class="card-body">
                    <div class="table-responsive">

                        <table class="table table-striped table-bordered table-hover dt-responsive" >
                            <thead>
                                <tr>
                                    <th>Title</th>
                                    <th>Description</th>
                                    <th>Status</th>
                                    <th>Created At</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($remainders as $remainder)
                                <tr>
                                    <td>{{$remainder->title}}</td>
                                    <td>{{$remainder->description}}</td>
                                    <td>{{$remainder->status}}</td>
                                    <td>{{$remainder->created_at}}</td>
                                    <td>
                                        <div class="btn-group">
                                            {{-- <div class="pull-left" style="margin-right: 10px;">
                                                <a href="/main-menu/remainder/{{ $remainder->id }}/view" class="btn btn-primary">
                                                    <i class="fa fa-eye" aria-hidden="true"></i>
                                                    View Details</a>
                                            </div> --}}
                                            <div class="pull-right">
                                                <form  method="post" action="/others/remainders/{{ $remainder->id }}">
                                                    {{ csrf_field() }}
                                                    {{ method_field('DELETE') }}
                                                    <button type="submit" class="btn btn-primary">
                                                        <i class="fa fa-trash" aria-hidden="true"></i>
                                                        Delete</button>
                                                </form>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        @else
            <h4 style="text-align:center;">No reminder has been created yet.</h4>
        @endif
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function(){
        $('.dataTables-item_names').DataTable({
            pageLength: 25,
            dom: '<"html5buttons"B>lTfgitp',
            buttons: [
                { extend: 'copy'},
                {extend: 'csv'},
                {extend: 'excel', title: 'ExampleFile'},
                {extend: 'pdf', title: 'ExampleFile'},

                {extend: 'print',
                 customize: function (win){
                        $(win.document.body).addClass('white-bg');
                        $(win.document.body).css('font-size', '10px');

                        $(win.document.body).find('table')
                                .addClass('compact')
                                .css('font-size', 'inherit');
                }
                }
            ]

        });

    });

</script>
@endsection
