@extends('layouts.master_user')
@section('page-title')
Billwise Report
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }
</style>

@endsection

@section('content')

@section('page-breadcrumb')
{{-- <li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Ledger Report BillWise</strong>
</li> --}}
@endsection

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <div class="form-group top pull-right">
                <button class="btn btn-secondary " type="button"><i class="fa fa fa-print"></i>&nbsp;&nbsp;<span
                class="bold">Print</span></button>
                <button class="btn btn-secondary " type="button"><i class="fa fa-file-pdf-o"></i> PDF Format</button>
                <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                Format)</button>
            </div>
            <div><p><strong>Ledger Name</strong></p></div>
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>Date</th>
                        <th>Voucher Description</th>
                        <th>Amount</th>
                        <th>Invoice Due Date</th>
                        <th>Over Due By Days</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <p><strong>22/10/2020</strong></p>
                        </td>
                        <td>
                            <p><strong>SAL INV #123456</strong></p>
                        </td>
                        <td>
                            <p><strong>455</strong></p>
                        </td>
                        <td>
                            <p><strong>15/10/2020</strong></p>
                        </td>
                        <td>
                            <p><strong>10</strong></p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p><strong>22/10/2020</strong></p>
                        </td>
                        <td>
                            <p><strong>SAL INV #123456</strong></p>
                        </td>
                        <td>
                            <p><strong>455</strong></p>
                        </td>
                        <td>
                            <p><strong>10/10/2020</strong></p>
                        </td>
                        <td>
                            <p><strong>20</strong></p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p><strong>22/10/2020</strong></p>
                        </td>
                        <td>
                            <p><strong>SAL INV #123456</strong></p>
                        </td>
                        <td>
                            <p><strong>455</strong></p>
                        </td>
                        <td>
                            <p><strong>15/10/2020</strong></p>
                        </td>
                        <td>
                            <p><strong>15</strong></p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#ledger_account_class_id').val();

                if(select_status=='account'){
                    $('#account_class').show();
                    $('#select').hide();
                }
                else{
                    $('#account_class').hide();
                    $('#select').show();


                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
