@extends('layouts.master_user')
@section('page-title')
Opening Balances for Inventory
@endsection
@section('css')
<style>
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive>.table-bordered {
        border: 0;
    }

    .vattop {
        margin-top: 10px;
    }

    .top {
        margin-top: 5px;
    }

    .top1 {
        margin-top: 50px;
    }

    .displaynon {
        display: none;
    }

    .top95 {
        margin-top: 95px;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('opening-balances-inventory')
active
@endsection
@section('content')
{{--
    @section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Opening Balances for Inventory</strong>
</li>
@endsection --}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    {{-- <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>Invoice</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
         </div> --}}
    <div class="ibox-content">
        <form class="form-horizontal" method="POST" action="/transactions/inventory-opening-balances/{{$purchase_invoice_item->id}}" enctype="multipart/form-data">
            {{ method_field('PATCH') }}
            {{ csrf_field() }}
            <div class="form-group">
                <div class="col-sm-12">
                    <div class="table-responsive">
                        <table class="table table-bordered table-hover" id="item_table">
                            <thead>
                                <tr>
                                    {{-- <th scope="col">SR No</th> --}}
                                    <th scope="col">Item Name</th>
                                    <th scope="col">Items Description</th>
                                    {{-- <th scope="col">Color</th> --}}
                                    <th scope="col">IMEI/Serial/Other</th>
                                    <th scope="col">Warehouse</th>
                                    <th scope="col">Qty</th>
                                    <th scope="col">Unit</th>
                                    <th scope="col">Rate/Unit</th>
                                    <th scope="col">Amount</th>
                                    <th scope="col">Remarks</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td width="15%">
                                        <select class="form-control item_name_id" id="item_name_id" name="item_name_id" required>
                                            <option value="">Select Item</option>
                                            @foreach ($item_names as $item_name)
                                                <option value="{{$item_name->id}}" @if ($purchase_invoice_item -> item_name_id == $item_name->id) selected="selected" @endif>{{$item_name->name}}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td width="18%">
                                        <textarea name="description" id="description" class="form-control" cols="35" rows="1">{{$purchase_invoice_item->description}}</textarea>
                                    </td>
                                    {{-- <td width="10%">
                                        <textarea name="color" id="color" class="form-control" cols="15" rows="1">{{$purchase_invoice_item->color}}</textarea>
                                    </td> --}}
                                    <td width="15%">
                                        <textarea name="imei_serial_no" id="imei_serial_no" class="form-control" cols="30" rows="1">{{$purchase_invoice_item->imei_serial_no}}</textarea>
                                    </td>
                                    <td width="15%">
                                        <select class="warehouse-select form-control" id="warehouse_id" name="warehouse_id" required>
                                            <option value="">Select Warehouse ...</option>
                                                @foreach ($warehouses as $warehouse)
                                                    @if (!empty($warehouse->warehouse))
                                                        <option value="{{$warehouse->warehouse->id}}" @if ($purchase_invoice_item -> warehouse_id == $warehouse->warehouse->id) selected="selected" @endif>{{$warehouse->warehouse->name}}</option>
                                                    @endif
                                                @endforeach
                                        </select>
                                    </td>
                                    <td width="7%">
                                        <input type="text" min="0" id="quantity" name="quantity"
                                            value="{{$purchase_invoice_item->quantity}}" class="form-control quantity"
                                            required />
                                    </td>
                                    <td>
                                        <p class="item_unit">{{$purchase_invoice_item->unit->unit}}</p>
                                        <input type="hidden" name="item_unit" id="item_unit" class="item_unit" value="{{$purchase_invoice_item->unit->id}}">
                                    </td>
                                    <td width="8%">
                                        <input type="text" min="0" id="rate_per_quantity" name="rate_per_quantity"
                                            value="{{$purchase_invoice_item->rate_per_quantity}}" class="form-control rate_per_quantity"
                                            required />
                                    </td>
                                    <td width="10%">
                                        <input type="text" min="0" id="amount" name="amount"
                                            value="{{$purchase_invoice_item->amount}}" class="form-control amount"
                                            required />
                                    </td>
                                    <td width="15%">
                                        <textarea name="remarks" id="remarks" class="form-control" cols="30" rows="1">{{$purchase_invoice_item->remarks}}</textarea>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-12">
                            <label for="Narrations">Narrations</label>
                            <textarea name="narrations" class="form-control" id="term_conditions" cols="30" rows="5"placeholder="Narrations"></textarea>
                        </div>
                    </div>
                    <input type="hidden" name="currency_decimal" id="currency_decimal" value="{{$currency->decimal_currency ?? ''}}">
                </div>
            </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="submit">Update Inventory</button>
                    </div>
                </div>
        </form>
    </div>
</div>
@endsection

@section('js')
<script>
    $('#create_form').validate(
        {ignore : ":hidden:not(.selectpicker)"  }
    );

    var deci = $('#currency_decimal').val();
    var front = dec_function(0, deci);
    // $('.amount').val(front);
    // $('.rate_per_quantity').val(front);

    $('.item_name_id').select2();
    $('.warehouse-select').select2();

    $('tbody').delegate('.item_name_id', 'change', function () {
        var tr = $(this).parent().parent();
        var item_name_id = $(this).val();
        if(item_name_id) {
            $.ajax({
                url: '/item-units/'+item_name_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.unit_name);
                    if(data.status == "success") {
                        console.log($(this));
                        tr.find('.item_unit').text(data.unit_name);
                        tr.find('.item_unit').val(data.unit_id);
                    }
                    else{
                        alert('failed to retrieve unit for selected item');
                    }

                },
            });
        } else {
            tr.find('.item_unit').text('Select Item');
        }
    });

    $('tbody').delegate('.quantity,.rate_per_quantity', 'keyup', function () {
        var tr = $(this).parent().parent();
        var quantity = tr.find('.quantity').val();
        var rate_per_quantity = tr.find('.rate_per_quantity').val();
        var amount = (quantity * rate_per_quantity);
        amount = dec_function(amount, deci);
        tr.find('.amount').val(amount);
    });

    $('tbody').delegate('.amount', 'keyup', function () {
        var tr = $(this).parent().parent();
        var quantity = tr.find('.quantity').val();
        var amount = tr.find('.amount').val();
        var rate_per_quantity = (amount / quantity);
        rate_per_quantity = dec_function(rate_per_quantity, deci);
        tr.find('.rate_per_quantity').val(rate_per_quantity);
    });

    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });

</script>


@endsection
