<?php

namespace App\Http\Controllers\MainMenu;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\ClassOfAccount;
use App\AccountMastersAccountsDetail;
use App\Services\Utils;
use Auth;

class TrialBalanceController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $user = Auth::user();
        if (!$user->can('report-of-all-countries-locations')) {
            abort(403, 'Unauthorized action.');
        }

        $location_id = Utils::getLocation();
        $from_date = $request->from_date;
        $to_date = $request->to_date;

        $class_of_accounts = ClassOfAccount::with('account_master')->get();
        foreach ($class_of_accounts as $class_of_account){
            $debit = 0;
            $credit = 0;
            foreach ($class_of_account->account_master as $account_master){
                $debit = $debit + AccountMastersAccountsDetail::Where('account_master_id', $account_master->id)->Where('date', '>=' , $from_date)->Where('date', '<=' , $to_date)->sum('debit');
                $credit = $credit + AccountMastersAccountsDetail::Where('account_master_id', $account_master->id)->Where('date', '>=' , $from_date)->Where('date', '<=' , $to_date)->sum('credit');
            }
            $trial_balance_debit_credit[] = [
                "class_of_account" => $class_of_account->name,
                "debit" => $debit,
                "credit" => $credit,
                "debit_decimal" => number_format($debit, 2, '.', ''),
                "credit_decimal" => number_format($credit, 2, '.', '')
            ];
        }
        // return $trial_balance_debit_credit;

        return view('user.main_menu.trial_balance.index', compact('from_date','to_date', 'trial_balance_debit_credit'));
    }

    public function display()
    {
        $user = Auth::user();
        if (!$user->can('report-of-all-countries-locations')) {
            abort(403, 'Unauthorized action.');
        }

        return view('user.main_menu.trial_balance.select_date');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
