<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PurchaseSalesTransferStockTrack extends Model
{
    use SoftDeletes;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'purchase_sales_transfer_stock_tracks';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'location_id',
        'warehouse_id',
        'item_name_id',
        'description',
        'color',
        'imei_serial_no',
        'quantity',
        'rate_per_quantity',
        'amount',
    ];


    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
    ];

    //'foreign_key', 'local_key'
    public function name()
    {
        return $this->belongsTo('App\ItemName', 'item_name_id', 'id');
    }

    //'foreign_key', 'local_key'
    public function from_name()
    {
        return $this->belongsTo('App\ItemName', 'form_item_name_id', 'id');
    }

    public function unit()
    {
        return $this->belongsTo('App\ItemUnit', 'item_unit_id', 'id');
    }

    public function location()
    {
        return $this->belongsTo('App\Location', 'location_id', 'id');
    }
}
