@extends('layouts.master_user')
@section('page-title')
Staff & Salesman Master
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
    .display-none{
        display: none;
    }
</style>

@endsection
@section('master')
active
@endsection
@section('account_master')
active
@endsection
@section('staff_salesman')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Customers</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form class="form-horizontal" id="create_form" method="POST" action="/masters/account-masters/staff-and-salesmen/{{ $staff_and_salesman->id }}" enctype="multipart/form-data">
                {{ method_field('PATCH') }}
                {{ csrf_field() }}
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Transactions Password </label>
                        <input type="password" class="form-control" id="transactions_password" name="transactions_password" placeholder="Transactions Password">
                    </div>
                    <div class="col-sm-6">
                        <input type="radio" name="job_designation" value="salesman" @if ($staff_and_salesman->job_designation == 'salesman') checked @endif id="select_salesman" required>
                        <label>Salesman</label>
                        <input type="radio" name="job_designation" value="staff" @if ($staff_and_salesman->job_designation == 'staff') checked @endif id="select_job_title" required>
                        <label>Job Title</label>
                        <div id="commission_id" class="@if ($staff_and_salesman->job_designation == 'staff') display-none @endif">
                            <label>
                                <input type="checkbox" name="select_commission" id="select_commission" @if ($staff_and_salesman->job_designation == 'salesman') checked @endif >
                                Commission
                                <input type="text" class="form-control @if ($staff_and_salesman->job_designation == 'staff') display-none @endif" id="commission" name="commission" value="{{ $staff_and_salesman->commission }}" placeholder="Commission">
                            </label>
                        </div>
                        <div id="job_title_id" class="@if ($staff_and_salesman->job_designation == 'salesman') display-none @endif" required>
                            <input type="text" class="form-control" id="job_title" name="job_title" value="{{ $staff_and_salesman->job_title }}" placeholder="Job Tilte" required>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Reports Password </label>
                        <input type="password" class="form-control" id="report_password" name="report_password" placeholder="Reports Password">
                    </div>
                    <div class="col-sm-6">
                        <label for="">Date of Joining*</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" name="date_of_joining" id="date_of_joining" value="{{ $staff_and_salesman->date_of_joining }}" >
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>First Name*</label>
                        <input type="text" class="form-control" name="first_name" id="first_name" value="{{ $staff_and_salesman->first_name }}" placeholder="First Name" required>
                    </div>
                    <div class="col-sm-6">
                        <label>Last Name*</label>
                        <input type="text" class="form-control" name="last_name" id="last_name" value="{{ $staff_and_salesman->last_name }}" placeholder="Last Name" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Mobile 1 #*</label>
                        <input type="text" class="form-control" name="mobile_1" id="mobile_1" value="{{ $staff_and_salesman->mobile_1 }}" placeholder="Mobile 1 #" required>
                    </div>
                    <div class="col-sm-6">
                        <label>Mobile 2 #</label>
                        <input type="text" class="form-control" name="mobile_2" id="mobile_2" value="{{ $staff_and_salesman->mobile_2 }}" placeholder="Mobile 2 #">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>WhatsApp #</label>
                        <input type="text" class="form-control" name="whatsapp" id="whatsapp" value="{{ $staff_and_salesman->whatsapp }}" placeholder="WhatsApp">
                    </div>
                    <div class="col-sm-6">
                        <label>Email*</label>
                        <input type="text" class="form-control" name="email" id="email" value="{{ $staff_and_salesman->email }}" placeholder="Email" required>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="full-width">Country*</label>
                        <select class="form-control" id="country" name="country_id" required>
                            <option value="">Select Country</option>
                            @foreach ($all_countries as $country)
                                <option value="{{$country-> id}}" @if ($staff_and_salesman-> country_id == $country-> id) selected="selected" @endif>{{$country-> name}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-sm-6">
                        <label>City*</label>
                        <input type="text" class="form-control" name="city" id="city" value="{{$staff_and_salesman-> city}}"placeholder="City" required>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-lg-12">
                        <label>Address*</label>
                        <textarea name="address" class="form-control" id="address" cols="30"rows="3" placeholder="Address" required>{{ $staff_and_salesman->address }}</textarea>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Salary*</label>
                        <input type="text" class="form-control" name="salary" id="salary" value="{{ $staff_and_salesman->salary }}" placeholder="Salary" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Class of Account*</label>
                        <select class="form-control" name="class_of_account_id" required>
                            <option value="">Select Class of Account..</option>
                            @foreach ($class_of_accounts as $class)
                                <option value="{{$class->id}}" @if ($staff_and_salesman -> class_of_account_id == $class->id) selected="selected" @endif>{{$class->name}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-sm-6">
                        <label>Show User*</label>
                        <select class="form-control selectpicker" name="show_user[]" data-actions-box="true" data-show-subtext="true" multiple data-live-search="true">
                            @foreach ($users as $user)
                                <option value="{{$user->users['id']}}"
                                    @foreach ($account_master_track as $item)
                                        @if ($item == $user->users['id']) selected="selected" @endif
                                    @endforeach
                                    >{{$user->users['email']}}
                                </option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label for="maintaina_account">Maintain Account*</label>
                        <select name="maintain_account" id="maintain_account" value="{{ $staff_and_salesman->maintain_account }}" class="form-control" required>
                            <option value="billwise">BillWise</option>
                            <option value="on_account">On Account</option>
                        </select>
                    </div>
                </div>
                <div class="hr-line-dashed"></div>
                <div>
                    <h3>Upload Documents</h3>
                </div>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_1" id="doc_name_1" value="{{ $staff_and_salesman->doc_name_1 }}" placeholder="Enter Name" class="form-control" >
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_1" id="doc_file_1" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_1" name="doc_expiry_1" value="{{ $staff_and_salesman->doc_expiry_1 }}" >
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_2" id="doc_name_2" value="{{ $staff_and_salesman->doc_name_2 }}" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_2" id="doc_file_2" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_2" name="doc_expiry_2" value="{{ $staff_and_salesman->doc_expiry_2 }}">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_3" id="doc_name_3" value="{{ $staff_and_salesman->doc_name_3 }}" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_3" id="doc_file_3" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_3" name="doc_expiry_3" value="{{ $staff_and_salesman->doc_expiry_3 }}">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_4" id="doc_name_4" value="{{ $staff_and_salesman->doc_name_4 }}" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_4" id="doc_file_4" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_4" name="doc_expiry_4" value="{{ $staff_and_salesman->doc_expiry_4 }}">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_5" id="doc_name_5" value="{{ $staff_and_salesman->doc_name_5 }}" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_5" id="doc_file_5" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_5" name="doc_expiry_5" value="{{ $staff_and_salesman->doc_expiry_5 }}">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_6" id="doc_name_6" value="{{ $staff_and_salesman->doc_name_6 }}" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_6" id="doc_file_6"class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_6" name="doc_expiry_6" value="{{ $staff_and_salesman->doc_expiry_6 }}">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_7" id="doc_name_7" value="{{ $staff_and_salesman->doc_name_7 }}" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_7" id="doc_file_7" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_7" name="doc_expiry_7" value="{{ $staff_and_salesman->doc_expiry_7 }}">
                        </div>
                    </div>
                </div>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label for="Description">Description</label>
                        <textarea name="description" class="form-control" id="description" cols="30" rows="5" placeholder="Description">{{ $staff_and_salesman->description }}</textarea>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="submit">Update Staff & Salesman</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $('#create_form').validate(
        {ignore : ":hidden:not(.selectpicker)"  }
    );

    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        });

        $('#country').select2();
    });
    $(function () {
        $("#select_salesman").click(function () {
            if ($(this).is(":checked")) {
                $("#commission_id").show();
                $("#commission").prop('required', true);
                $("#job_title_id").hide();
                $("#job_title").prop('required', false);
            }
        });

        $("#select_job_title").click(function () {
            if ($(this).is(":checked")) {
                $("#job_title_id").show();
                $("#job_title").prop('required', true);
                $("#commission_id").hide();
                $("#commission").prop('required', false);
                $("#select_commission").prop('required', false);
            }
        });

        $("#select_commission").click(function () {
            if ($(this).is(":checked")) {
                $("#commission").show();
                $("#commission").prop('required', true);
            } else {
                $("#commission").hide();
                $("#commission").prop('required', false);
            }
        });
    });
</script>
@endsection
