
@extends('layouts.master_user')
@section('page-title')
Profit & Loss Report
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }

    #top {
        margin-top: 100px;
    }

</style>

@endsection
@section('reports')
active
@endsection
@section('profit-loss-report')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">

        <div class="ibox-content">
            <form class="form-horizontal" method="POST" id="create_form" action="/reports/profit-loss-report" enctype="multipart/form-data">
                @csrf
                
                <div class="form-group" id="select_month_or_date">
                    <div class="col-sm-4">
                        <label>From Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                            name="from_date" id="from_date" class="form-control" value="">
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <label>To Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                            name="to_date" id="to_date" class="form-control" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group top">
                    <button class="btn btn-secondary " type="submit" ><i class="fa fa-check"></i>&nbsp;Display</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });

</script>
@endsection
