@extends('layouts.master_user')
@section('page-title')
Complete Stock Query
@endsection
@section('css')
<style>

    .display-none {
        display: none;
    }
    .display-min{
        width:280px;
    }
    th{
        text-align: center;
    }


</style>

@endsection
@section('reports')
active
@endsection
@section('stock-report')
active
@endsection

@section('content')

@section('page-breadcrumb')
{{-- <li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Ledger Report</strong>
</li> --}}
@endsection

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}

        <div class="ibox-content">
            <div class="row m-b-md top">
                <div class="col-sm-3">
                    <p><strong>Date: </strong><strong>{{$from_date}} to {{$to_date}}</strong></p>
                </div>
                <div class="col-sm-9">
                    <div class="form-group pull-right">
                        <button class="btn btn-secondary " type="button"><i class="fa fa fa-print"></i>&nbsp;&nbsp;<span
                                class="bold">Print</span></button>
                        <button class="btn btn-secondary " type="button"><i class="fa fa-file-pdf-o"></i> PDF Format</button>
                        <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                            Format)</button>
                            <button type="button" class="btn" id="customer_info_btn"><i
                                class="fa fa-info"></i></button>
                        <div id="customer_info" class="display-none">
                            <p>Contact Person Name: Test</p>
                            <p>Contact #:1234567</p>
                            <p>WhatsApp:1234567</p>
                            <p>Email:test@gmail.com</p>
                            <p>Address: House# , street#, City, Country</p>
                        </div>
                    </div>
                </div>
            </div>
            <table class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <th>Particulars</th>
                    <th>QTY</th>
                    <th>Rate</th>
                    <th>Net Amount</th>
                  </tr>
                </thead>
                <tbody>
                    @foreach ($groups as $i => $group)
                        @if ($group_quantity[$i] > 0)
                            <tr>
                                <td><strong>{{$group->name}}</strong></td>
                                <td><strong>{{$group_quantity[$i]}}<strong></td>
                                <td><strong>{{$average_rate_per_quantity[$i]}}<strong></td>
                                <td><strong>{{$average_net_total[$i]}}<strong></td>

                            </tr>

                            @foreach ($groups[$i]->item_names as $key => $single)

                                <tr>
                                    @if ($closing_quantity[$key] > 0)
                                        <td>{{$item[$key]}}</td>
                                        <td>{{$closing_quantity[$key]}}</td>
                                        <input type="hidden" id="quantity" name="quantity" class="quantity" value="{{$closing_quantity[$key]}}">
                                        <td>{{$rate_per_quantity[$key]}}</td>
                                        <td>{{$net_total[$key]}}</td>
                                        <input type="hidden" name="value" id="value" class="value" value="{{$net_total[$key]}}">

                                    @endif
                                </tr>
                            @endforeach
                        @endif
                    @endforeach

                </tbody>
              </table>
              <div class="row">
                  <div class="col-sm-2 col-sm-offset-10">
                      <p><strong>Total Remaining Quantity : <span id="total_quantity"></span></strong></p>
                  </div>
              </div>
              <div class="row">
                <div class="col-sm-2 col-sm-offset-10">
                    <p><strong>Total Remaining Value : <span id="total_value"></span></strong></p>
                </div>
            </div>
            {{-- <div class="row">
                <div class="col-sm-2 col-sm-offset-10">
                    <p><strong>Total Commission: 116.50</strong></p>
                </div>
            </div> --}}
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    var quantity = 0;
    $('.quantity').each(function(){
        quantity += parseFloat(this.value);
    });
    $('#total_quantity').text(quantity);

    var value = 0;
    $('.value').each(function(){
        value += parseFloat(this.value);
    });
    $('#total_value').text(value);

    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#ledger_account_class_id').val();

                if(select_status=='account'){
                    $('#account_class').show();
                    $('#select').hide();
                }
                else{
                    $('#account_class').hide();
                    $('#select').show();


                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
